PS_GET_BUFFER(3)

NAME
PS_get_buffer — Returns internal memory buffer

SYNOPSIS

#include <pslib.h>

const char *PS_get_buffer(PSDoc *psdoc, long *size)

DESCRIPTION

Returns the current internal memory buffer when the document is created in memory. The internal buffer will be set to a length of 0 when calling this function. You should output or save the return buffer pointer before calling any other pslib functions. The parameter size can be used to retrieve the number of bytes in the buffer.

RETURN VALUE

SEE ALSO

PS_open_file(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.